Validate Transaction
curl --request POST \
--url https://api.adamik.io/api/{chainId}/transaction/validate \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction": {
"data": {
"mode": "deployAccount",
"senderPubKey": "<string>",
"memo": "<string>",
"contractType": "argentx"
}
}
}
'import requests
url = "https://api.adamik.io/api/{chainId}/transaction/validate"
payload = { "transaction": { "data": {
"mode": "deployAccount",
"senderPubKey": "<string>",
"memo": "<string>",
"contractType": "argentx"
} } }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
transaction: {
data: {
mode: 'deployAccount',
senderPubKey: '<string>',
memo: '<string>',
contractType: 'argentx'
}
}
})
};
fetch('https://api.adamik.io/api/{chainId}/transaction/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chainId": "algorand",
"status": {
"errors": [
{
"message": "<string>"
}
],
"warnings": [
{
"message": "<string>"
}
]
}
}Transaction
Validate Transaction
Validates a transaction’s format and checks it against the blockchain’s current state for potential errors or warnings. This pre-validation is critical for ensuring transaction success rates and for debugging transaction issues.
POST
/
api
/
{chainId}
/
transaction
/
validate
Validate Transaction
Authorizations
Path Parameters
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, hoodi, holesky, zksync, zksync-sepolia, injective-evm-testnet, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, bitcoin, bitcoin-testnet, bitcoin-signet, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, mantle, litecoin, dogecoin, ton, chiliz, chiliz-testnet, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, berachain, berachain-bepolia, cronos, world-chain, world-chain-sepolia, hyperliquid, solana, aptos, aptos-testnet, stellar, stellar-testnet Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
Provides validation results, including any errors or warnings related to the transaction.
Available options:
algorand, cosmoshub, cosmoshub-testnet, osmosis, osmosis-testnet, celestia, celestia-testnet, dydx, axelar, ethereum, sepolia, hoodi, holesky, zksync, zksync-sepolia, injective-evm-testnet, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, bitcoin, bitcoin-testnet, bitcoin-signet, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, mantle, litecoin, dogecoin, ton, chiliz, chiliz-testnet, injective, akash, band, dymension, kyve, terra2, stargaze, tron, evmos, irisnet, juno, lum-network, omniflix, sei, medibloc, passage, quasar, seda, sommelier, shentu, stride, chihuahua, bitsong, persistence, comdex, fetch-ai, humans-ai, ki, likecoin, provenance, quicksilver, saga, kava, starknet, starknet-sepolia, babylon, babylon-testnet, monad-testnet, berachain, berachain-bepolia, cronos, world-chain, world-chain-sepolia, hyperliquid, solana, aptos, aptos-testnet, stellar, stellar-testnet Show child attributes
Show child attributes
Was this page helpful?